{
  "format_version": "1.10.0",
  "animation_controllers": {
    "controller.animation.tagger": {
      "initial_state": "default",
      "states": {
        "default": {
          "transitions": [
            { "uno": "(1.0)" }
          ]
        },
        "uno": {
          "transitions": [
            { "default": "(1.0)" }
          ],
          "on_entry": [
            "/execute @s ~~~ tag @e[r=5.8] add shield_front"
          ]
        }
      }
    },
    "controller.animation.no_tagger": {
      "initial_state": "default",
      "states": {
        "default": {
          "transitions": [
            {
              "dos": "(1.0)"
            }
          ]
        },
        "dos": {
          "transitions": [
            {
              "default": "(1.0)"
            }
          ],
          "on_entry": [
            "/execute @s ~~~ tag @e[r=5.8] remove shield_front"
          ]
        }
      }
    }
  }
}